/* ----------------------------------------------------------------------

	AppFont XFCN
	version 1.0.0
	
	Written by: Paul Celestin
	
	Copyright 1996 Celestin Company, Inc.
	
	This XFCN returns the name of the current application font.
	
	No parameters required!
	
	960707 - 1.0.0 - initial release

---------------------------------------------------------------------- */

#include <A4Stuff.h>
#include <HyperXCmd.h>

#define PARAMETER_NUMS		0
#define PARAMETER_TEXT		"\pNo parameters required!"


/* ----------------------------------------------------------------------
prototypes
---------------------------------------------------------------------- */
void DoIt(XCmdPtr paramPtr);
char LookUp[256];


/* ----------------------------------------------------------------------
main
---------------------------------------------------------------------- */
pascal void main(XCmdPtr paramPtr)
{
	Str255 copyright = "\pCopyright  1996 Celestin Company, Inc.";
	long oldA4 = SetCurrentA4();
	if (paramPtr->paramCount != PARAMETER_NUMS)
	{
		paramPtr->returnValue =
			PasToZero(paramPtr,PARAMETER_TEXT);
	}
	else
	{
		DoIt( paramPtr );
	}
	SetA4(oldA4);
}

/* ----------------------------------------------------------------------
DoIt
---------------------------------------------------------------------- */
void DoIt(XCmdPtr paramPtr)
{
	short		theAppFontID;
	Str255		theAppFont;
 
	theAppFontID = GetAppFont();
	GetFontName(theAppFontID,theAppFont);
	paramPtr->returnValue = PasToZero(paramPtr,theAppFont);
}
